import { Component, ViewChild } from '@angular/core';
import { IgxGridComponent, IgxGridTransaction, IgxTransactionService } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
  providers: [{ provide: IgxGridTransaction, useClass: IgxTransactionService }]
})
export class AppComponent {
  title = 'igx-grid-batch-updating-commit';

  @ViewChild("gridRowEditTransaction", { read: IgxGridComponent, static: true })
  public grid: IgxGridComponent;

  data: any[] = [
    {
      ProductID: 1,
      ProductName: "Chai",
      SupplierID: 1,
      CategoryID: 1,
      QuantityPerUnit: "10 boxes x 20 bags",
      UnitPrice: 18.0000,
      UnitsInStock: 39,
      UnitsOnOrder: 30,
      ReorderLevel: 10,
      Discontinued: false,
      OrderDate: new Date("2012-02-12")
    }, {
      ProductID: 2,
      ProductName: "Chang",
      SupplierID: 1,
      CategoryID: 1,
      QuantityPerUnit: "24 - 12 oz bottles",
      UnitPrice: 19.0000,
      UnitsInStock: 17,
      UnitsOnOrder: 40,
      ReorderLevel: 25,
      Discontinued: true,
      OrderDate: new Date("2003-03-17")
    }, {
      ProductID: 3,
      ProductName: "Aniseed Syrup",
      SupplierID: 1,
      CategoryID: 2,
      QuantityPerUnit: "12 - 550 ml bottles",
      UnitPrice: 10.0000,
      UnitsInStock: 13,
      UnitsOnOrder: 70,
      ReorderLevel: 25,
      Discontinued: false,
      OrderDate: new Date("2006-03-17")
    }
  ];
  deleteRow(rowID) {
    this.grid.deleteRow(rowID);
  }

  onCommit() {
    this.grid.transactions.commit(this.data);
  }
}
